/**
 * @file exo_ahw_al_gpio_exp_stub.c
 *
 * @brief This file contains stub function for gpio expander
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include <stdio.h>
#include <stdlib.h>
#include "exo_ahw_al_common.h"
#include "exo_ahw_al_gpio_exp_common.h"




#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */





__weak hal_ret_sts ahw_al_gpio_exp_init(ahw_al_gpio_exp_hdle *hgpio_arg,ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_readpin(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_gpio_pinstate *pin_state)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_writepin(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_gpio_pinstate pin_state)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_togglepin(uint32_t ahw_id, gpio_exp_gpio_pin pin)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_dir(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_dir pin_dir)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_strength(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_strgth pin_strength)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_pol_inv(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_pol polarity)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_input_lat(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_lat latch)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_enable_pull(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_pull flag)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_pull_up_dwn(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_pin_up_dwn flag)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_intr_msk(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_mask flag)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_read_intr_sts(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_gpio_intrstate *intr_state)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_gpio_exp_set_port_cfg(uint32_t ahw_id, gpio_exp_gpio_pin pin, gpio_exp_port_cfg flag)
{
	return HAL_DRIVER_DISABLED;
}
